请选择 进入手机版 | 继续访问电脑版

阿里云Linux基于YUM的安全更新操作

[复制链接]
feng 发表于 2024-1-12 11:24:16 | 显示全部楼层 |阅读模式


阿里云Linux基于YUM的安全更新操作


查找资料:
Alibaba Cloud Linux 3 的更新发布记录
在此处找到对应的漏洞更新目录
https://mirrors.aliyun.com/alinux/3/cve/alinux3.xml?spm=a2c4g.11186623.0.0.6151fdad87NtxU&file=alinux3.xml




阿里云更新命令
Alibaba Cloud Linux安全更新根据CVE的通用漏洞评估方法(CVSS3)的评分,将安全更新分为以下四个等级:
  • Critical:高风险,必须更新
  • Important:较高风险,强烈建议更新
  • Moderate:中等风险,推荐更新
  • Low:低风险,可选更新



1、全局更新系统高风险、较高风险、中等风险的安全更新
  1. yum upgrade --security --sec-severity={Critical,Important,Moderate}
复制代码


2、查询单个漏洞更新(几个漏洞更新几次,更换后面的序号)
  1. yum updateinfo info ALINUX3-SA-2023:0108
复制代码

安装指定的CVE安全更新
  1. yum upgrade --cve=CVE-2023-26604
复制代码

3、局部文件更新
用yum命令:


查看软件版本清单:(服务器用15.2的版本)
  1. yum list kernel
复制代码



更新软件:
  1. yum update -y kernel

  2. yum update cups-client

  3. yum list cups-client
复制代码



回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|RuZhuo ( 鄂ICP备16015978号-8 )

GMT+8, 2024-6-25 00:59 , Processed in 0.026063 second(s), 27 queries .

Powered by RuZhuo

快速回复 返回顶部 返回列表